using BPA.KitChen.StoreManagementOrder.Handlers;
using BPA.KitChen.StoreManagementOrder.SqlSugar;

var builder = WebApplication.CreateBuilder(args).Inject();

//JWTȨ
builder.Services.AddJwt<JwtHandler>(enableGlobalAuthorize: true);


//÷ʽ
builder.Services.AddUnifyResult();

builder.Services.AddControllers().AddInject();
builder.Services.AddSqlsugarSetup();

var app = builder.Build();

// Configure the HTTP request pipeline.

app.UseHttpsRedirection();

app.UseAuthentication();
app.UseAuthorization();

app.UseInject();

app.MapControllers();

app.Run();
